class rsh::servers (
  $package_name, $package_ensure, $package_manage,
  $rshd_service_name, $rshd_service_enable,
  $rshd_service_ensure, $rshd_service_manage,
  $rlogind_service_name, $rlogind_service_enable,
  $rlogind_service_ensure, $rlogind_service_manage,
  $rexecd_service_name, $rexecd_service_enable,
  $rexecd_service_ensure, $rexecd_service_manage,
  $hosts_equiv = undef,
) {

  if $rsh::servers::package_manage {
    package { $rsh::servers::package_name:
      ensure => $rsh::servers::package_ensure,
    }
  }

  if $rsh::servers::rshd_service_manage {
    service { $rsh::servers::rshd_service_name:
      ensure => $rsh::servers::rshd_service_ensure,
      enable => $rsh::servers::rshd_service_enable,
    }
  }

  if $rsh::servers::rlogind_service_manage {
    service { $rsh::servers::rlogind_service_name:
      ensure => $rsh::servers::rlogind_service_ensure,
      enable => $rsh::servers::rlogind_service_enable,
    }
  }

  if $rsh::servers::rexecd_service_manage {
    service { $rsh::servers::rexecd_service_name:
      ensure => $rsh::servers::rexecd_service_ensure,
      enable => $rsh::servers::rexecd_service_enable,
    }
  }

  if $hosts_equiv != undef {
    file { '/etc/hosts.equiv':
      ensure  => file,
      owner   => 0,
      group   => 0,
      mode    => '0600',
      content => epp('rsh/hosts.equiv.epp'),
    }
  }

}
